<?php
namespace Magento\Captcha\Block\Captcha;

/**
 * Interceptor class for @see \Magento\Captcha\Block\Captcha
 */
class Interceptor extends \Magento\Captcha\Block\Captcha implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Captcha\Helper\Data $captchaData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $captchaData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
